Subject: Re: [mpls] MPLS-RT review of draft-kompella-mpls-special-purpose-labels-02.txt

From: Markus Jork <[email-masked]>
Date: Thu, 21 Mar 2013 02:36:55 +0000

This is my MPLS review team review of draft-kompella-mpls-special-purpose-labels-02.txt.

1. Is the document coherent?

Yes, it discusses the topic in a question and answer format that is easy to understand. This is a useful format for triggering discussion and initially developing the set of proposed allocation and usage rules for the special purpose labels. However, if this document progresses further towards becoming a standards track RFC, a more conventional format would be more appropriate I think: an introduction chapter directly followed by the set of policies and rules.

2. Is it useful?

There is a good chance this document will never be needed at all. But we can't be sure because that means predicting the future. And because it is dealing with a currently very limited resource, it seems prudent to prevent future problems by defining an extension mechanism now.

3. Is it technically sound?

The document represents one reasonable approach of dealing with the issue of the very limited reserved label space. As the discussion on the mailing list has shown, everyone's crystal ball seems to be calibrated slightly differently and certain aspects could be handled one way or the other. But I am not aware of a clear alternative to the overall approach.
So I think this document is ready for working group adoption.

-Markus